Pixal3d
整合
模型 id
pixal3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixal3d?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixal3d?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixal3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "pixal3d",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
透過 Doitong API 呼叫 Pixal3d 模型(pixal3d)。代理程式文件:https://doitong.com/zh-TW/developers/models/pixal3d.md
POST https://api.doitong.com/v1/run/pixal3d?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.com/v1/quote/pixal3d,可在執行前取得確切價格。
此請求: $0.30 300 API 點數 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/pixal3d?wait=20
報價 → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixal3d?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/pixal3d?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/pixal3d", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "pixal3d",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
關於 Pixal3d
提供一張圖像並回傳 GLB 模型及所使用的種子。結構、形狀和貼圖階段各自擁有引導、重新縮放、步驟數和雜訊排程設定。輸出 `resolution` 為 1024 或 1536,`texture_size` 為 1024、2048 或 4096,`decimation_target` 將頂點數設為 5000 到 1586021。`remesh` 會重建拓撲。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
image_url必填
image
類型url · image
指向用於 3D 轉換之來源圖像的 URL。
seed選填
類型integer | null
用於可重現隨機生成的種子。
resolution選填
類型enum
預設值1024
10241536
輸出解析度;提高解析度會增加細節,但需要更長時間。
ss_guidance_strength選填
類型number
預設值7.5
0 – 10
初始 3D 結構保真度控制:提高此值可更貼近輸入圖像,但可能增加雜訊。
ss_guidance_rescale選填
類型number
預設值0.7
0 – 1
第 1 階段的引導瑕疵控制;低設定值會產生較強的引導效果,高設定值則可得到更穩定的輸出。
ss_sampling_steps選填
類型integer
預設值12
1 – 50
初始結構去噪次數:增加步驟可能提升品質,但會降低處理速度。
ss_rescale_t選填
類型number
預設值5
1 – 6
透過結構生成的雜訊排程設定轉場銳利度;提高此值會使轉場更銳利。
shape_slat_guidance_strength選填
類型number
預設值7.5
0 – 10
詳細幾何保真度控制:提高對輸入圖像的遵循程度可增加細節,但可能增加雜訊。
shape_slat_guidance_rescale選填
類型number
預設值0.5
0 – 1
幾何形狀看起來有雜訊時提高此設定:可減少形狀階段強引導造成的瑕疵。
shape_slat_sampling_steps選填
類型integer
預設值12
1 – 50
形狀精修去噪次數:增加步驟可能產生更平滑的幾何形狀,但會犧牲速度。
shape_slat_rescale_t選填
類型number
預設值3
1 – 6
透過形狀精修的雜訊排程設定幾何細節銳利度;提高此值會產生更銳利的細節。
tex_slat_guidance_strength選填
類型number
預設值1
0 – 10
紋理色彩保真度控制:較高設定值會更貼近輸入圖像的色彩並提高鮮明度,但可能導致過度飽和。
tex_slat_guidance_rescale選填
類型number
預設值0
0 – 1
紋理有雜訊或色帶時提高此設定:可減少紋理階段強引導造成的瑕疵。
tex_slat_sampling_steps選填
類型integer
預設值12
1 – 50
用於生成紋理的去噪步驟數。增加步驟數需要更長時間,但可能產生更乾淨的紋理。
tex_slat_rescale_t選填
類型number
預設值3
1 – 6
透過紋理生成的雜訊排程設定紋理細節銳利度;提高此值會產生更銳利的細節。
mesh_scale選填
類型number
預設值1
0.1 – 4
縮放推斷出的網格,以影響模型使用的相機距離估算值。
max_num_tokens選填
類型integer
預設值49152
4,096 – 131,072
串接形狀取樣器的 HR Token 上限;較高設定可取得更精細的幾何形狀,較低設定則可節省記憶體與處理時間。
decimation_target選填
類型integer
預設值200000
5,000 – 1,586,021
網格複雜度目標,以最終結果的頂點數量表示。降低此目標可減少檔案大小,但也會犧牲細節。
texture_size選填
類型enum
預設值2048
102420484096
用於烘焙的網格紋理解析度。提高解析度可取得更精細的表面細節,但會產生更大的檔案。
remesh選填
類型boolean
預設值true
重建網格拓撲;透過建立更乾淨的三角形,通常有利於後續使用,但會延長處理時間。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "pixal3d",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 300,
"usd": "0.30",
"charged": 300,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"model_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"seed": 42
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- model_glb
- object {url, content_type, file_name, file_size}以 GLB 格式生成的 3D 模型。
- seed
- integer實際使用的種子值。
更多模型:圖像轉 3D
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/pixal3d.md. 所有模型與指南: https://doitong.com/developers/llms.txt